Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.admin
Class RemoveIntranet

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.admin.AbstractAction
              org.esupportail.portal.channels.CIntranet.actions.admin.RemoveIntranet

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.esupportail.portal.utils.channels.ISubChannel

public class RemoveIntranet
extends AbstractAction

RemoveIntranet
Cette classe gère la suppression d'un intranet
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.1 $
Author:
  Mathieu Larchet

Constructor Summary
`RemoveIntranet(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `delinit(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Traite la suppression d'un intranet Override SubChannel.init() method
`java.lang.Boolean` | `init(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Affiche la demande de confirmation de suppression Override SubChannel.init() method

Methods inherited from class org.esupportail.portal.channels.CIntranet.actions.admin.AbstractAction
`initialize`

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveIntranet

    public RemoveIntranet(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - La channel principale

Method Detail

### init

    public java.lang.Boolean init(org.jasig.portal.ChannelRuntimeData rd)
                           throws org.jasig.portal.PortalException,
                                  org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Affiche la demande de confirmation de suppression Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### delinit

    public java.lang.Boolean delinit(org.jasig.portal.ChannelRuntimeData rd)
                              throws org.jasig.portal.PortalException,
                                     org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Traite la suppression d'un intranet Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD